Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
StateData Class Reference
Inheritance diagram for StateData:

## Public Member Functions
| __init__ (self, doneEvent)
| enter (self)
| exit (self)
| getDoneStatus (self)
| load (self)
| unload (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| doneEvent = doneEvent
| doneStatus = None
int | isEntered = 0
int | isLoaded = 0

## Static Public Attributes
| notify = directNotify.newCategory('StateData')
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    A StateData is a base class for a single state within a Finite
    State Machine (ClassicFSM).

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | doneEvent )

## Member Function Documentation

## ◆ enter()

enter | ( |  | self | ) |

    Enters the StateData.  This makes it active in whatever sense
    this applies.  Returns true if this is a change (i.e. it was
    not previously entered), or false if this is the same (i.e. it
    was already entered).

## ◆ exit()

exit | ( |  | self | ) |

    Exits the StateData.  Returns true if this is a change
    (i.e. it was previously entered), or false if this is the same
    (i.e. it was already exited).

## ◆ getDoneStatus()

getDoneStatus | ( |  | self | ) |

    The done status of a state data may be anything.  It is common
    practice to return a Python dictionary or a string; the default
    value is None.

## ◆ load()

load | ( |  | self | ) |

    Loads the StateData.  This loads whatever assets are needed
    from disk, and otherwise prepares the StateData for being
    entered, without actually entering it.  Returns true if this
    is a change (i.e. it was not already loaded), or false if this
    is the same (i.e. it was previously loaded).

## ◆ unload()

unload | ( |  | self | ) |

    Unloads the StateData.  This frees whatever assets were loaded
    by load(), and generally makes the memory usage for this thing
    be as small as possible.  Some StateData-derived classes can
    load and unload repeatedly; others are useless once they have
    been unloaded.

## Member Data Documentation

## ◆ doneEvent

doneEvent = doneEvent

## ◆ doneStatus

doneStatus = None

## ◆ isEntered

int isEntered = 0

## ◆ isLoaded

int isLoaded = 0

## ◆ notify

notify = directNotify.newCategory('StateData')
| static